INTERFACE
SUBROUTINE GNHDLRA(&
 & KPROMA,KDIMGFL,KST,KEND,KGFLTYP,LDSPDFI,LDGEO,POROG,PSP,PT,PSPD,&
 & PRDLR,&
 & PIIF,PQ,PL,PI,PR,PS,PG,PGFL,PDPI,PIF,PIH) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMGEM , ONLY : VAH ,VBH ,VDELB ,VC
USE PAR_RDLR , ONLY : JP_DIMR ,JP_RSAF ,JP_RSAH ,JP_ASRF ,JP_ASRH
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KDIMGFL
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KGFLTYP
LOGICAL,INTENT(IN) :: LDSPDFI
LOGICAL,INTENT(IN) :: LDGEO
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPD(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDLR(KPROMA,0:NFLEVG,JP_DIMR)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PIIF(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PQ(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PL(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PI(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PR(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PS(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PG(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGFL(KPROMA,NFLEVG,KDIMGFL)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PDPI(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PIF(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PIH(KPROMA,0:NFLEVG)
END SUBROUTINE GNHDLRA
END INTERFACE
